.community_card{
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 5px;
    margin: 5px;
    cursor: pointer;
    border-bottom: 1px solid;
    padding: 3px;
    border-radius: 5px;
}
.profile_pic_container{
    width:  20px;
    height: 20px;
    /* border: solid 1px black; */
}
.profile_pic{
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.profile_info{
    flex: 1;
    display: flex;
    flex-direction: column;
    /* border: solid 1px black; */
    justify-content: space-between;
    padding: 5px;
    border-radius: 5px;
}
.community_name{
    font-weight: bolder;
    display: flex;
    justify-content: space-between;
    font-size: smaller;
}
.join_button{
    background-color: rgb(255, 102, 0);
    color: white;
    border: none;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
}
.community_selector_container{
    z-index: 30000;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(8px);
   -webkit-backdrop-filter: blur(8px); /* for Safari */
    background-color: rgba(255, 255, 255, 0.2); /* optional frosted effect */
    display: none;
    justify-content: center;
    align-items: center;
}
.community_selector_content{
    border: solid 1px black;
    padding: 5px;
    border-radius: 10px;
    box-shadow: 0px 1px 18px 3px;
    width: 600px;
    max-width: 80vw;
    /* height: clamp(200px,600px,80vh); */
    max-height: 80vh;
    background: var(--gradient);
}
.community_selector_items{
    max-height: 60vh;
    overflow: auto;
    padding: 7px;
}
.community_creator{
    font-size: xx-small;
    font-style: italic;
    color: gray;
}
.community_description{
    font-size: xx-small;
   
}
.community_window_header{
    display: flex;justify-content: center;
    align-items: center;
    background: var(--main-color);
    color: white;
    font-weight: bolder;
    height: 50px;
    border-radius: 20px;
    margin-bottom: 20px;
}
.selected{
    background-color: aliceblue;
}